В этой статье мы попробуем дать ответы на самые распространенные вопросы по Joomla3.
Joomla 3: часто задаваемые вопросы.

Как всем известно, в начале октября вышла новая версия Joomla – Joomla 3, которая принципиально отличается от всех предыдущих версий. Наверное поэтому у пользователей уже накопилось туча вопросов. В этой статье мы попробуем дать ответ на самые распространенные из них.

Важно! Пользователям Joomla 2.5/1.7/1.6 (сделайте бэкап перед тем, как обновить свой сайт)

Сайты на Joomla 2.5/1.7/1.6 можно обновить до Joomla 3.0 в один клик, главное не забудьте сделать бэкап. Обязательно проверьте наличие обновлений всех шаблонов и расширений до версии Joomla 3.0, иначе вы рискуете испортить свой сайт из-за несовместимости какого-либо расширения. Настоятельно рекомендуется сначала обновить Joomla на тестовом сайте. Самое же главное – держать наготове последний сделанный бэкап, чтобы, в случае чего, сразу же восстановить из него сайт.

В чем главные отличия Joomla 2.5 от Joomla 3.0?

Самым главным отличием является полностью обновленная панель управления: она стала намного удобнее. Joomla теперь имеет адаптиный интерфейс: фронт-энд и бэк-энд можно легко открывать на всевозможных мобильных устройствах. Помимо всего прочего в Joomla обновился установщик, используются такие технологий как Bootstrap и JQuery (другие подробности о Joomla  3.0 в этой статье).

Как долго поддерживается каждая версия?

Каждый основной релиз Joomla поддерживается разработчиками примерно 3 года, все обновления производятся в один клик. Например, версии 2.х (к которым также относятся версии 1.6 и 1.7) поддерживаются с января 2011 до весны 2014. Заметим, что переход от версии к версии (начиная с 1.6) довольно-таки безболезненный: в один клик можно обновить Joomla  с 1.6 до 1.7, с 1.7 до 2.5.

Версии 3.х также будут поддерживаться 3 года. Обновляться они будут постепенно, также в один клик – от версии 3.0 к 3.1, и 3.5. Таким образом, система выхода релизов в Joomla обеспечивает непрерывную поддержку CMS и позволяет обновляться без малейших затруднений.

У меня в планах разработать новый сайт. Какую платформу мне лучше использовать: Joomla 2.5 или Joomla 3.0?

Если вы планируете использовать множество расширений, то лучше разрабатывать сайт  на Joomla 2.5 – самой стабильной на сегодняшний день версии. Если все необходимые вам расширения совместимы с версией 3.0, то разрабатывайте сайт на ней. Учтите, что на данный момент совместимых расширений и шаблонов не так-то и много, до их обновлений потребуются еще недели, а то и месяцы.

Если я разрабатываю сайт на Joomla 3.0, смогу ли я установить расширения?

Да, вы сможете установить расширения, совместимые с Joomla 3.0. С помощью JED (Joomla Extension Directory) можно узнать о таких расширениях. А еще лучше следить за обновлениями на сайте разработчиков.

Как можно получить шаблон Joomla 3.0?

Некоторые компании по разработке шаблонов Joomla уже предлагают такие шаблоны, но надо уточнять информацию по каждому из них: консультироваться с разработчиками, ведь есть шаблоны Joomla 2.5, которые будут работать и на Joomla 3.0.

Будут ли расширения, которые я использую для Joomla 2.5 работать на Joomla 3.0?

Стандартные расширения Joomla 2.5 будут работать на Joomla 3.0 с минимальными изменениями, а то и вообще без них. Не так все просто со сторонними расширениями и шаблонами – модули и плагины должны работать без ошибок. Компоненты и шаблоны, совместимые с Joomla 2.5 и 1.5 могут некорректно работать на Joomla 3.0 до тех пор, пока разработчики не обновят их.

На самом деле все зависит от расширения. Команда Joomla-разработчиков делает все возможное, чтобы процесс обновления стал проще, тем не менее, с некоторыми расширениями придется повозиться. Свяжитесь с разработчиками – дайте им знать, что хотите использовать данное расширение в Joomla 3.0 или прочтите документацию расширения.

Что делать, если я разрабатываю сайт на Joomla 3.0, а расширения есть только для Joomla 2.5?

Проконсультируйтесь с разработчиками: собираются ли они выпускать обновление расширения в ближайшем будущем. Разработчикам потребуется время для подготовки расширения к обновлению: их продуктивность зависит от особенностей расширения.

Надо ли мне обновлять Joomla с версии 2.5?

В большинстве случаев этого не требуется. Joomla 2.5 будет поддерживаться до весны 2014. Лучше подождите пока Joomla 3.0 протестируют, выявят и исправят ошибки, а потом уже занимайтесь обновлением. Можете вообще обновить сайт только с выходом версии 3.5, она выйдет примерно через год. Единственной причиной для обновления может стать потребность в возможностях Joomla 3.0, ну или желание не отставать от передовых технологий :-) .

Мой сайт работает на Joomla 2.5 и бэк-энд выдает мне возможность обновления до Joomla 3.0. Следует ли мне обновить Joomla?

Нет, пока вы не будете уверены на 1000%. По умолчанию Joomla не предложит вам обновление, пока вы не активируете опцию компонента обновления (Панель управления >> Обновление Joomla >> Настройки >> Сервер обновления >>Дистрибутивы Joomla с краткосрочной поддержкой). Если по каким-то причинам у вас эта опция уже изменена, то поменяйте в настройках сервера обновлений на «Дистрибутивы Joomla с долгосрочной поддержкой». После этого вы будете получать обновления только для Joomla 2.5.

Замечание: не обновляйте Joomla 2.5 до Joomla 3.0 пока не проверите обновление всех дополнительно установленных расширений (а в особенности шаблонов).

Какая версия Joomla выйдет после Joomla 3.0?

Через полгода выйдет релиз Joomla 3.1.Если к тому времени вы уже перейдете на Joomla 3.0, то в один клик сможете обновить свой сайт до 3.1. Если вы все еще будете пользоваться версией 2.5, то лучше дождитесь версии 3.5.

Я готов обновить Joomla. Как мне это сделать?

  1. Проверьте, соответствует ли версии ПО вашего сервера(хостинга) требованиям системы для Joomla 3.0.
  2. Проверьте для всех расширений наличие обновлений или совместимости с Joomla 3.0.
  3. Создайте тестовый сайт и обновите Joomla на нем.
  4. Проконсультируйтесь с знакомым web-разработчиком, если вы не уверены в чем-то на 100%.
  5. Сделайте бэкап всего сайта (файлов и базы данных).

Когда вы сделаете все вышеперечисленное, то активируйте опцию компонента обновления, выбрав в настройках сервера обновления  - «Дистрибутивы Joomla с краткосрочной поддержкой», сохраните изменения. Joomla должна выдать вам, что обновление доступно, установите обновление. Очистите кэш браузера и убедитесь, все ли работает корректно.

Замечание: В некоторых случаях могут понадобится другие методы обновления, например с использованием инсталлятора расширений(зависит от настроек хостинга).

Что мне делать, если мой сайт работает на Joomla 1.5: он перестанет работать? Смогу ли я перейти на версии 2.5 и 3.0?

Поддержка Joomla 1.5 прекращена. Но это не значит, что сайт перестанет работать. Просто разработчики перестали выпускать обновления для Joomla 1.5. А это значит, что ошибки Joomla 1.5, обнаруженные в последнее время, никто не исправит. Так что лучше начать пользоваться новыми версиями.

Переход от Joomla 2.5 к Joomla 3.0 максимально упрощен, в то время как переход с Joomla 1.5 может стать проблематичным. Но, к счастью, есть два расширения, которые помогут сделать это обновление проще: jUpgrade и SP Upgrade. Можно обновить Joomla как до версии 2.5, так и до версии 3.0. О том, как это сделать, написано в документации к этим расширениям. К какой версии переходить – решать вам.

Понравилась статья? Сохраните себе на стену:

Ваша оценка материала очень важна для нас. Просим вас оценить статью или оставить отзыв в комментариях.

Комментарии  

0 # Системные требования к хостингуVARion 15.12.2012 11:23
У некоторых сайтов хостинг работает на предыдущих версиях PHP и MySQL: стоит этому особое внимание уделить. Информация о системных требованиях Joomla, тут: www.joomla.org/technical-requirements.html
Ответить | Ответить с цитатой | Цитировать
0 # RE: Системные требования к хостингуWedal 17.12.2012 02:21
VARion, плох тот хостинг, который до сих пор не поддерживает php 5.3 :-)
Ответить | Ответить с цитатой | Цитировать
0 # RE: Системные требования к хостингуVARion 17.12.2012 06:39
Виталий, конечно. Но, к сожалению, у некоторых так.
Ответить | Ответить с цитатой | Цитировать
0 # RE: Системные требования к хостингуWedal 18.12.2012 06:18
VARion, выбор хостеров сегодня очень большой. Не вижу смысла оставаться у того, который до сих пор не обеспечил поддержку PHP 5.3, когда уже вышел PHP 5.4.
Ответить | Ответить с цитатой | Цитировать
0 # RE: Системные требования к хостингуVARion 18.12.2012 06:54
Виталий, на своих проектах вопросов сильно не возникает, можно включить поддержку нужной версии. Трудно клиентов бывает с одного на другой хостинг переключить, они думают что хостинг везде одинаковый. Хотя уже бывали случаи, когда переводил клиентов на более удобный хостинг (не из-за PHP, а из-за других ограничений или плохой поддержки)
Ответить | Ответить с цитатой | Цитировать
0 # RE: Системные требования к хостингуWedal 19.12.2012 02:32
VARion, да, с этим не поспоришь :-) .
Ответить | Ответить с цитатой | Цитировать
0 # RE: Системные требования к хостингуStas 17.12.2012 15:57
Wedal, вопрос по теме. Если у меня на хостинге сайт на J1.5 и я попрошу установить php5.3 для возможности запустить сайт на J3.0 (в том же аккаунте), сайт на J1.5 при этом ляжет? Он же не поддерживает php5.3. На локале J1.5 параллельно с J3.0 установить не удалось.
Ответить | Ответить с цитатой | Цитировать
0 # RE: Системные требования к хостингуWedal 18.12.2012 06:16
Stas, если хостинг хороший, то для разных сайтов можно выбирать разные версии PHP. Например, на Hostgator, достаточно прописать в .htaccess всего одну строчку, чтобы сменить версию PHP.
Ответить | Ответить с цитатой | Цитировать
0 # установка расширенийМакс 19.02.2013 23:54
После переноса сайта на хостинг,я перенес весь сайт сделанный на джумла 2.5.1 через файлзилу .немогу установить расширения на джумла уже на хостинге.чтобы добавить google analytics наприме.в чем проблему.благодарю за ответ
Ответить | Ответить с цитатой | Цитировать
0 # RE: установка расширенийWedal 20.02.2013 01:35
Макс, какая ошибка? Скорее всего у Joomla нет прав на запись в папку tmp. Проверьте в глобальной конфигурации, чтобы путь к этой папке был указан правильно.
Ответить | Ответить с цитатой | Цитировать
+1 # установка расширенийМакс 20.02.2013 07:16
проблема в том,что при загрузке и установке через менеджер расширений выдает ошибку JFolder::create: Не удалось создать каталог
Внимание! Не удалось переместить файл!.подскажите что и где изменить.Заранее спасибо
Ответить | Ответить с цитатой | Цитировать
0 # RE: установка расширенийWedal 21.02.2013 02:48
Макс, уже написал в прошлом комментарии.
Ответить | Ответить с цитатой | Цитировать
0 # RE: Joomla 3: часто задаваемые вопросы.sajlas 19.03.2014 09:22
Здравствуйте! Пришел сайт на продвижение на Джумле. Там нужно много всего отредактировать на различных страницах (заголовки, тайтлы, дескрипшены), однако их поиск - очень сложен. Нет ли какого-нибудь плагина, который бы позволял осуществлять поиск как-то проще? Подскажите пож-та
Ответить | Ответить с цитатой | Цитировать
0 # RE: Joomla 3: часто задаваемые вопросы.Wedal 20.03.2014 03:06
sajlas, всё здесь: http://extensions.joomla.org/extensions/site-management/seo-a-metadata
Но вообще - установка дополнительных расширений - не самый лучший путь, поскольку в принципе они не требуются и устанавливаете вы их только для своего удобства и от незнания того, где что находится в самой Joomla.

Вообще, на самом деле, в Joomla в плане мета-информации нет ничего сложного. Главное - запомните приоритеты:

1: Настройки пункта меню
2: Настройки отдельного материала/категории
3: Общие настройки

Самый высокий приоритет настроек у пунктов меню. Это означает, что если задать одни и те же опции в настройках материала и пункта меню, который на него ссылается, то будут использованы настройки пункта меню.

Всё: Тайтлы, псевдонимы, мета-описания - задается либо в настройках отдельных материалов, либо в настройках отдельных пунктов меню. Нет никаких сложностей.
Ответить | Ответить с цитатой | Цитировать
0 # Адаптивный интерфейс Joomla 3.0alex20 24.09.2014 12:11
Если на сайте большая картинка, например 1920х1080 или более, то при просмотре с мобильного малоэкранного устройства – она АВТОМАТИЧЕСКИ ужмется до размера экрана?
Ответить | Ответить с цитатой | Цитировать
0 # RE: Адаптивный интерфейс Joomla 3.0Wedal 25.09.2014 02:47
alex20, ужмется, если задать ей ширину в процентах(width:100%). Но помните, что при этом ее разрешение и, соответственно, размер файла, не изменятся. Это значит, что такая картинка потянет около мегабайта трафика при своей загрузке, чему вряд ли обрадуются пользователи мобильных устройств.
Этот вопрос решается заведением нескольких копий одинаковых картинок в разном разрешении. При этом после того, как пользователь заходит на сайт, определяется разрешение его экрана и подгружаются картинки с нужным разрешением.
Ответить | Ответить с цитатой | Цитировать
0 # RE: Joomla 3: часто задаваемые вопросы.alex20 25.09.2014 14:18
...решается заведением нескольких копий одинаковых картинок в разном разрешении.
...определяется разрешение его экрана и подгружаются картинки с нужным разрешением.
Где почитать - как это правильно сделать?
1. В тэге img указывать width:100%, вместо px.
2. ...
Спасибо за ответ.
Ответить | Ответить с цитатой | Цитировать
0 # RE: Joomla 3: часто задаваемые вопросы.Wedal 26.09.2014 04:00
alex20, вот здесь написано подробно про плавающую ширину:
http://alexdev.ru/1473/

А здесь про проблему разрешения и трафика:
http://www.coolwebmasters.com/image-tools/4361-serving-responsive-images.html
Ответить | Ответить с цитатой | Цитировать
0 # RE: Joomla 3: часто задаваемые вопросы.alex20 28.09.2014 11:57
СПАСИБО! Почитал, очень полезно!
Ответить | Ответить с цитатой | Цитировать

Добавить комментарий

Для отправки комментария введите код с картинки:
Защитный код
Обновить

Вверх